package com.sooka.system.gas.zenner_gas_purchase_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.framework.util.ShiroUtils;
import com.sooka.system.gas.zenner_gas_purchase_infor.domain.TGuijiZennerGasPurchaseInfor;
import com.sooka.system.gas.zenner_gas_purchase_infor.mapper.TGuijiZennerGasPurchaseMapper;
import com.sooka.system.gas.zenner_gas_purchase_infor.service.ITGuijiZennerGasPurchaseInforService;
import com.sooka.system.service.impl.Guiji_Base_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 真兰收费系统-预付费购气信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiZennerGasPurchaseInforServiceImpl extends Guiji_Base_Service implements ITGuijiZennerGasPurchaseInforService
{
    @Resource
    private TGuijiZennerGasPurchaseMapper mapper;

    /**
     * 查询真兰收费系统-预付费购气信息
     *
     * @param id 真兰收费系统-预付费购气信息ID
     * @return 真兰收费系统-预付费购气信息
     */
    @Override
    public TGuijiZennerGasPurchaseInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询真兰收费系统-预付费购气信息列表
     *
     * @param param 真兰收费系统-预付费购气信息
     * @return 真兰收费系统-预付费购气信息
     */
    @Override
    public List<TGuijiZennerGasPurchaseInfor> selectList(TGuijiZennerGasPurchaseInfor param)
    {
        List<TGuijiZennerGasPurchaseInfor> list = mapper.selectList(param);
        param.setOperationStatus(1L);
        param.setParam(param.toString());
        param.setInterfacetype("platform_interfacetype_1");//1 共享 2归集
        param.setInterfaceinfoId("7b8ea723-dff0-4e4f-81a8-03f1b178aade");
        param.setInterfaceinfoName("共享（市）-真兰收费系统-预付费购气信息");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        param.setDeptId(deptId);
        param.setDeptName(deptName);
        add_log(param);
        return list;
    }

    /**
     * 新增真兰收费系统-预付费购气信息
     *
     * @param param 真兰收费系统-预付费购气信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiZennerGasPurchaseInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改真兰收费系统-预付费购气信息
     *
     * @param param 真兰收费系统-预付费购气信息
     * @return 结果
     */
    @Override
    public int update(TGuijiZennerGasPurchaseInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除真兰收费系统-预付费购气信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除真兰收费系统-预付费购气信息信息
     *
     * @param id 真兰收费系统-预付费购气信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
